import React from 'react';
import './index.less';
declare type ItemProps = {
    data?: any;
    showNum?: number;
    width: String;
    clickItem?: Function;
};
declare class ProductList extends React.Component<ItemProps> {
    static defaultProps: {
        width: string;
        showNum: number;
    };
    state: {
        width: number;
    };
    componentDidMount(): void;
    render(): JSX.Element;
}
export default ProductList;
